## low-memory-monitor 2.1

=== meson_options.txt ===
option('systemdsystemunitdir',
       description: 'systemd unit directory',
       type: 'string',
       value: 'auto')
option('gtk_doc',
       type: 'boolean',
       value: true,
       description: 'Build API reference')
option('trigger_kernel_oom',
       type: 'boolean',
       value: false,
       description: 'Whether to trigger kernel OOM')

=== debian/changelog ===
low-memory-monitor (2.1-2build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 17:52:22 +1100

low-memory-monitor (2.1-2build1) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 Mar 2024 05:36:09 +0000

low-memory-monitor (2.1-2) unstable; urgency=medium

  * Team upload

  [ Laurent Bigonville ]
  * debian/copyright: Fix the license, the code is supposed to be GPL-3.0+,
    source code files preamble have been fixed upstream

  [ Debian Janitor ]
  * low-memory-monitor-doc: Add Multi-Arch: foreign.

  [ Michael Biebl ]
  * Defer placement of systemd units to systemd.pc.
    This will move them to /usr in trixie.
  * Replace obsolete pkg-config Build-Depends with pkgconf

 -- Michael Biebl <biebl@debian.org>  Sun, 18 Feb 2024 09:15:49 +0100

low-memory-monitor (2.1-1) unstable; urgency=medium

  * Initial release. (Closes: #1021384)

 -- Laurent Bigonville <bigon@debian.org>  Sun, 16 Oct 2022 21:50:36 +0200

=== debian/control ===
Source: low-memory-monitor
Section: admin
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Laurent Bigonville <bigon@debian.org>
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13), libglib2.0-dev, meson, pkgconf, systemd-dev
Build-Depends-Indep: gtk-doc-tools <!nodoc>
Standards-Version: 4.6.1
Homepage: https://gitlab.freedesktop.org/hadess/low-memory-monitor
Vcs-Browser: https://salsa.debian.org/debian/low-memory-monitor
Vcs-Git: https://salsa.debian.org/debian/low-memory-monitor.git

Package: low-memory-monitor
Architecture: linux-any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Monitors low-memory conditions
 The Low Memory Monitor is an early boot daemon that will monitor memory
 pressure information coming from the kernel, and, first, send a signal
 to user-space applications when memory is running low, and then optionally
 activate the kernel's OOM killer when memory is running really low.

Package: low-memory-monitor-doc
Architecture: all
Section: doc
Build-Profiles: <!nodoc>
Depends: ${misc:Depends}
Multi-Arch: foreign
Description: Documentation of the low-memory-monitor daemon D-Bus API
 The Low Memory Monitor is an early boot daemon that will monitor memory
 pressure information coming from the kernel, and, first, send a signal
 to user-space applications when memory is running low, and then optionally
 activate the kernel's OOM killer when memory is running really low.
 .
 This package contains the documentation for the D-Bus API.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

ifneq (,$(filter low-memory-monitor-doc,$(shell dh_listpackages)))
  BUILD_DOCS:=-Dgtk_doc=true
else
  BUILD_DOCS:=-Dgtk_doc=false
endif

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -Dtrigger_kernel_oom=false $(BUILD_DOCS)

=== debian/watch ===
version=4
opts="searchmode=plain,downloadurlmangle=s/\".*//" \
https://gitlab.freedesktop.org/hadess/low-memory-monitor/-/tags?format=atom /hadess/low-memory-monitor/uploads/(?:.*)/@PACKAGE@@ANY_VERSION@.tar.xz
